This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447339 - package search doesn't keep "Name Only" setting when going to next page
package search doesn't keep "Name Only" setting when going to next page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn505
All Linux
low Severity low
: ---
: ---
Assigned To: Sebastian Skracic
Amy Owens
:
Depends On:
Blocks: 457802
  Show dependency treegraph
 
Reported: 2008-05-19 11:54 EDT by Stephen Herr
Modified: 2008-09-25 09:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 09:03:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2008-05-19 11:54:43 EDT
Description of problem:
If you use the page navigation buttons in the package search (next page, last
page, etc.) it will perform your search again for "Name and Summary", regardless
of what you actually selected. This leads to results that should not appear
being shown in later pages, and the number of pages increase. 

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. Log into RHN, navigate to /rhn/channels/software/Search.do
2. Select "Name Only" for what to search, and search for packages named "gnome"
3. Note: 104 results, all results visible contain "gnome" in their name
4. Click either Next Page or Last Page
  
Actual results:
Now there are 138 results, and some of the results only contain "gnome" in their
descriptions. 

Expected results:
There should still be 104 results and all packages should have "gnome" in their
name. 

Additional info:
Comment 2 Sebastian Skracic 2008-08-14 04:18:38 EDT
Fixed in r118933, together with some other package search improvements.
Comment 4 Stephen Herr 2008-09-03 14:14:47 EDT
verified in qa

Note You need to log in before you can comment on or make changes to this bug.